# availability zone

An availability zone is a logical partition of cloud block storage, compute and network services.

Block Storage v2, Compute v2, Network v2

## availability zone list

List availability zones and their status

    openstack availability zone list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--compute]
        [--network]
        [--volume]
        [--long]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--compute

  List compute availability zones

--network

  List network availability zones

--volume

  List volume availability zones

--long

  List additional fields in output

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.